Page MenuHomePhabricator

Sidebar links are cached, "stuck" in the wiki's main language, on ca.wikimedia wiki
Closed, ResolvedPublic

Description

Benoit Rochon <brochon at wikimedia> created via email on Fri, 6 Feb 2015 16:20:20 -0500

Thank you very much Daniel for the extension, I really appreciate.
Now the problem I have is MediaWiki:Sidebar
https://ca.wikimedia.org/wiki/MediaWiki:Sidebar for example "About-url
https://ca.wikimedia.org/wiki/MediaWiki:About-url" in English
returns "Wikimedia
Canada:About", and in Fench "About-url/fr
https://ca.wikimedia.org/wiki/MediaWiki:About-url/fr" returns "Wikimedia
Canada:=C3=80 propos", which looks fine to me.
But when you visit the French page
https://ca.wikimedia.org/w/index.php?title=3DAccueil&uselang=3Dfr, and yo=
u
click "A propos", it goes on the English page "Wikimedia Canada:About". It
looks like the sidebar in French won't work...
Would you know why ?
Thank in advance for your help.
Benoit RochonCharg=C3=A9 de projet =E2=80=94 Wikim=C3=A9dia Canada
https://ca.wikimedia.org/w/index.php?title=3DAccueil&setlang=3Dfr, chapit=
re
national soutenant Wikip=C3=A9dia
Coordonnateur =E2=80=94 Wiki*Franca*
http://meta.wikimedia.org/wiki/WikiFranca/fr?setlang=3Dfr, association de=
s
chapitres francophones de Wikim=C3=A9dia
3450, rue Saint-Denis, suite 180, Montr=C3=A9al (Qu=C3=A9bec) H2X 3L3
1-800-249-1216
WikimediaFoundation.org/Benoit Rochon
http://wikimediafoundation.org/wiki/User:Benoit_Rochon/fr
2014-11-14 21:06 GMT-05:00 Daniel Zahn via RT <ops-requests@wikimedia.org>:

According to our records, your request has been resolved. If you have any
further questions or concerns, please respond to this message.

this task filed by anonymous email

Details

Related Gerrit Patches:
operations/mediawiki-config : masterJust use "en" as language code for WMCA wiki
operations/mediawiki-config : masterSet wgLanguageCode at cawikimedia from 'en-ca' to 'en'

Event Timeline

emailbot added a subscriber: emailbot.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2015, 9:20 PM
Dzahn renamed this task from Re: [wikimedia #8856] Resolved: Extension:Translate to ca.wikimedia wiki - sidebar in French won't work....Feb 6 2015, 11:20 PM
Dzahn set Security to None.
Dzahn added a subscriber: Dzahn.Feb 6 2015, 11:24 PM

Hello Benoit,

we switched the ticket system we are using to Phabricator and since you replied to the ticket that used to be on RT, this got automatically forwarded and created a ticket at

https://phabricator.wikimedia.org/T88843

which is totally fine, just wanted to let you know it's a public ticket.

I don't have the answer to the question yet but others will see this as well.

  • Daniel

Hi Benoit, this is not an issue with Translate but with MediaWiki core caching of the sidebar: [[MediaWiki:About-url]] itself is already translated (without Translate) and [[Wikimedia Canada:About]] doesn't use Translate.

Your best chance is to:

  • move [[Wikimedia Canada:À propos]] to to [[Wikimedia Canada:About/fr]] (or the opposite if you switch site language to French);
  • change [[MediaWiki:About-url]] to "Special:MyLanguage/Wikimedia Canada:About";
  • delete [[MediaWiki:About-url]] subpages.

For the l10n itself, if you decide to localise the sidebar, please give a look at https://www.mediawiki.org/wiki/Help:Extension:Translate/Unstructured_element_translation (used in Commons and elsewhere) and file a site request.

Nemo_bis renamed this task from ca.wikimedia wiki - sidebar in French won't work... to Sidebar links are cached, "stuck" in the wiki's main language, on ca.wikimedia wiki.Feb 8 2015, 9:42 AM
Nemo_bis assigned this task to Trizek.
Nemo_bis triaged this task as Medium priority.
Nikerabbit closed this task as Declined.Feb 8 2015, 9:46 AM
Nikerabbit added a subscriber: Nikerabbit.

I don't see anything to do with the Translate extension.

In addition, I highly suspect this is local customization issue, as I noticed many weird and broken things on the wiki

  • I see "This wiki is available in Finnish" banner in Finnish, but the link to change language is unclickable due to the absolutely positioned element which overlays the banner and which says "English" on the top-right area of the content.
  • The sites defines styles for "button" class that breaks display of buttons in ULS and Special:Translate
  • Clicking links on the sidebar magically appends uselang=fi which are not present in the sidebar links

I would recommend the site admins do more testing for the customizations they add.

Nemo_bis reopened this task as Open.Feb 8 2015, 9:59 AM
Dzahn added a comment.Feb 9 2015, 4:54 PM

It would be great if somebody could post a summary of this to ca.wiki's VillagePump or something similar. Benoit probably didn't get these replies yet because the ticket was automatically created from mail to RT.

I made the changes which Nemo_bis suggested in T88843#1023346. Also left a note on Benoit Rochon's talk page.

Benoit-Rochon> Hello, not sure where to ask my question, and please refer me to the right persons. I'm the one who is taking care of Wikimedia Canada's website, hosted by WMF at https://ca.wikimedia.org ...I have a problems. Francophones anonymous visitors cannot use Language selector, only Canadian English is available if not logged in. I read somewhere that this feature was desable by default. Where can I enable it ?

https://ca.wikimedia.org/wiki/MediaWiki:AnonymousI18N.js was deleted but is still called by https://ca.wikimedia.org/wiki/MediaWiki:Common.js , that doesn't help.

I can't remember how a language is suggested, only browser's language I think? What locale do those francophone users use in their browser, for instance?

Bawolff added a subscriber: Bawolff.Mar 6 2015, 5:58 PM

Sounds like some messages have to be added to $wgForceUIMsgAsContentMsg

Benoit_Rochon added a subscriber: Benoit_Rochon.EditedMar 6 2015, 6:38 PM

Thank you very much for everything... look like everything is okay now.

One last thing, Is it possible to remove "Canadian English" and just leave "English"?

Thank you very much for everything... look like everything is okay now.

Make sure you are testing after clearing your browser cache, or you might be testing an obsolete version of the site.

One last thing, Is it possible to remove "Canadian English" and just leave "English"?

Sure, just remove "en-ca" from the list at https://ca.wikimedia.org/wiki/MediaWiki:Common.js

What I meant is to change the default language of our Wiki to "en", and remove "en-ca" and "en-gb"... Because right now the default language is en-ca, and it cause problems with the extention:Translate.

Remove en-ca from Common.js doesn't have any effects on the whole Wiki.

What I meant is to change the default language of our Wiki to "en", and remove "en-ca" and "en-gb"... Because right now the default language is en-ca, and it cause problems with the extention:Translate.
Remove en-ca from Common.js doesn't have any effects on the whole Wiki.

That would involve changing $wgLanguageCode. Marked as a site request.

Thank you. WMCA is hosted by WMF, where should I do this kind of request ?

Trizek removed Trizek as the assignee of this task.Mar 8 2015, 2:04 PM

Thank you. WMCA is hosted by WMF, where should I do this kind of request ?

Here, in this task.

Change 195092 had a related patch set uploaded (by Glaisher):
Set wgLanguageCode at cawikimedia from 'en-ca' to 'en'

https://gerrit.wikimedia.org/r/195092

Change 195064 had a related patch set uploaded (by Nemo bis):
Just use "en" as language code for WMCA wiki

https://gerrit.wikimedia.org/r/195064

Change 195092 abandoned by Glaisher:
Set wgLanguageCode at cawikimedia from 'en-ca' to 'en'

https://gerrit.wikimedia.org/r/195092

Change 195064 merged by jenkins-bot:
Just use "en" as language code for WMCA wiki

https://gerrit.wikimedia.org/r/195064

Is this resolved now?

Nemo_bis changed the task status from Open to Stalled.Mar 20 2015, 8:08 AM
Nemo_bis assigned this task to Trizek.
Trizek reassigned this task from Trizek to Benoit_Rochon.Mar 20 2015, 8:56 AM
Trizek added a subscriber: Trizek.

I'm not concerned by this task.

Trizek removed a subscriber: Trizek.Mar 20 2015, 8:56 AM
Dzahn removed a subscriber: Dzahn.Mar 20 2015, 4:20 PM
Dereckson removed Benoit_Rochon as the assignee of this task.Apr 10 2015, 2:31 PM
Dereckson added a subscriber: Dereckson.

Why is this "stalled"? Shouldn't it be resolved?

Nemo_bis closed this task as Resolved.May 3 2015, 7:49 AM
Nemo_bis claimed this task.

We were waiting for confirmations or further requirements, but looks like there is none so as far as we know this is resolved indeed.

Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.May 4 2015, 2:23 PM